﻿@using Mandiri.Lelang.WebAdminUI.Utility
@model Mandiri.Lelang.ViewModel.MessageViewModel
<div class="container">
    <div class="page-header">
        <h1>List Pesan</h1>
    </div>
    @Html.ActionLink("Tambah Pesan", "AddOrUpdateMessage", "Administration", null, new { @class = "btn btn-primary" })
    <button type="button" class="btn btn-default" onclick="refreshDataTablesforMessage('dataTable', '/Administration/MessageList',@Model.isPending);">Refresh Data</button>
    <span class="label label-warning">Press refresh button for initial loading</span>
    <br />
    <br />
    <div class="input-group short-width-input">
        <input type="text" class="form-control" placeholder="Keywords" id="txtKeywords" name="txtKeywords">
        <span class="input-group-btn">
            <button class="btn btn-primary" type="button" onclick="searchDataTablesforMessage('dataTable', '/Administration/MessageList',@Model.isPending);"><i class="fa fa-search"></i></button>
        </span>
    </div>
    <br />
    @Html.HiddenFor(m => m.isPending)
    <table id="dataTable" class="table table-bordered table-striped table-hover" cellspacing="0" width="100%" border="0">
        <thead>
            <tr>
                <th>@Html.DisplayNameFor(m => m.MessageID)</th>
                <th>@Html.DisplayNameFor(m => m.Category)</th>
                <th>@Html.DisplayNameFor(m => m.Name)</th>
                <th>@Html.DisplayNameFor(m => m.Phone)</th>
                <th>@Html.DisplayNameFor(m => m.Email)</th>
                <th>@Html.DisplayNameFor(m => m.TextMessage)</th>
                <th>@Html.DisplayNameFor(m => m.AssetCode)</th>
                <th>@Html.DisplayNameFor(m => m.BranchName)</th>
                <th>@Html.DisplayNameFor(m => m.DateTimeCreated)</th>
                <th>@Html.DisplayNameFor(m=>m.MessageStatusName)</th>
                <th>@Html.DisplayNameFor(m=> m.Remarks)</th>
                <th></th>
            </tr>
        </thead>
        <tbody></tbody>
        <tfoot>
        </tfoot>
    </table>
</div>

@section scripts
{
    <script type="text/javascript" charset="utf-8">
        $(document).ready(function () {
            loadDataTables("dataTable", "/Administration/MessageList", [
                { "bSortable": true },
                { "bSortable": true },
                { "bSortable": true },
                { "bSortable": true },
                { "bSortable": true },
                { "bSortable": true },
                { "bSortable": true },
                { "bSortable": true },
                { "bSortable": true },
                { "bSortable": true },
                { "bSortable": true },
                {
                    "bSortable": false, "mRender": function (data, type, row) {
                        return generateActionLink("Edit", "/Administration/AddOrUpdateMessage", "messageID=" + data);
                    }
                }], "desc"
            );
        });
    </script>
}